#
# spec file for package apache2-mod_chroot
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define module_name mod_chroot
#
Name:           apache2-mod_chroot
Version:        0.5
Release:        6.39
Summary:        Running Apache in a Secure Chroot Environment
License:        GPL-2.0
Group:          Productivity/Networking/Web/Servers
Url:            http://core.segfault.pl/~hobbit/mod_chroot/
Source:         http://core.segfault.pl/~hobbit/mod_chroot/dist/%{module_name}-%{version}.tar.bz2
Patch0:         apache2-mod_chroot-0.5_unistd.patch
BuildRequires:  apache2-devel
BuildRequires:  apache-rpm-macros
Requires:       %{apache_mmn}
Requires:       %{apache_suse_maintenance_mmn}
Requires:       apache2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
mod_chroot makes running Apache in a secure chroot environment easy. You
don't need to create a special directory hierarchy containing /dev, /lib,
/etc.

%prep
%setup -q -n %{module_name}-%{version}
%patch0

%build
%{apache_apxs} -c %{module_name}.c

%install
install -Dd -m 0755  %{buildroot}%{apache_libexecdir}
%{apache_apxs} -i -S LIBEXECDIR="%{buildroot}%{apache_libexecdir}" \
    -n %{module_name} %{module_name}.la

%check
set +x
%apache_test_module_load -m chroot
set -x

%files
%defattr(-,root,root,-)
%{apache_libexecdir}/%{module_name}.so
%doc CAVEATS ChangeLog INSTALL LICENSE README README.Apache20

%changelog
* Wed Sep  2 2015 pgajdos@suse.com
- test module with %%apache_test_module_load
* Thu Jul 16 2015 pgajdos@suse.com
- Requries: %%{apache_suse_maintenance_mmn}
  This will pull this module to the update (in released distribution)
  when apache maintainer thinks it is good (due api/abi changes).
* Fri Oct 31 2014 pgajdos@suse.com
- call spec-cleaner
- use apache rpm macros
* Fri Sep 25 2009 crrodriguez@suse.de
- Requires: apache2 %%{apache_mmn}
* Mon Jan 23 2006 mrueckert@suse.de
- Initial package of version 0.5
- added apache2-mod_chroot-0.5_unistd.patch
  fixes implicit declaration warning
